summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorGary Scavone <gary@music.mcgill.ca>2013-10-11 00:04:56 +0200
committerStephen Sinclair <sinclair@music.mcgill.ca>2013-10-11 00:04:56 +0200
commit4f7c61bd5ca4816d7d8911f457f84127c95cf688 (patch)
tree529efb30dda43a4357c1ce5c7b796f8b321f0aa9 /configure
parent458f4d67c1fa9d31a6bddc42aa46c5721100406d (diff)
Release 3.0.2 tarball3.0.2
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure68
1 files changed, 0 insertions, 68 deletions
diff --git a/configure b/configure
index e4e158d..4981cb7 100755
--- a/configure
+++ b/configure
@@ -3863,74 +3863,6 @@ fi
frameworks="-framework CoreAudio"
-
-echo "$as_me:$LINENO: checking for printf in -lstdc++" >&5
-echo $ECHO_N "checking for printf in -lstdc++... $ECHO_C" >&6
-if test "${ac_cv_lib_stdcpp_printf+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-lstdc++ $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any gcc2 internal prototype to avoid an error. */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
-char printf ();
-int
-main ()
-{
-printf ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_stdcpp_printf=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_stdcpp_printf=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_stdcpp_printf" >&5
-echo "${ECHO_T}$ac_cv_lib_stdcpp_printf" >&6
-if test $ac_cv_lib_stdcpp_printf = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBSTDC__ 1
-_ACEOF
-
- LIBS="-lstdc++ $LIBS"
-
-else
- { { echo "$as_me:$LINENO: error: RtAudio requires the C++ library!" >&5
-echo "$as_me: error: RtAudio requires the C++ library!" >&2;}
- { (exit 1); exit 1; }; }
-fi
-
;;
*)